View Issue Details

IDProjectCategoryView StatusLast Update
0002341SymmetricDSImprovementpublic2015-08-13 11:00
ReporterchensonAssigned Toelong 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.7.20 
Target Version3.7.20Fixed in Version3.7.20 
Summary0002341: Add the ability to use parameter values in catalog and schema for trigger, router, and transform configuration.
DescriptionAdd the ability to use parameter values in catalog and schema for trigger, router, and transform configuration. The parameter should be of form: $(some.custom.parameter)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 0a04d4a2

2015-07-03 08:02:33

chenson

Details Diff
0002341: Add the ability to use parameter values in catalog and schema for trigger, router, and transform configuration.
0002341
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ConfigurationChangedDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractDataExtractorServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractRouterServiceTest.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/AbstractTriggerRouterServiceTest.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/rest/RestService.java Diff File
mod - symmetric-server/src/test/java/org/jumpmind/symmetric/test/SimpleIntegrationTest.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File
add - symmetric-util/src/main/java/org/jumpmind/util/KeyedCache.java Diff File

SymmetricDS: 3.7 ea042bcd

2015-07-31 10:49:49

admin

Details Diff
0002341: Add the ability to use parameter values in catalog and schema
for trigger, router, and transform configuration.

0002341
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/ITransformService.java Diff File

Issue History

Date Modified Username Field Change
2015-06-30 17:47 chenson New Issue
2015-06-30 17:47 chenson Status new => assigned
2015-06-30 17:47 chenson Assigned To => chenson
2015-07-02 10:55 chenson Product Version 3.7.20 => 3.8.0
2015-07-02 10:55 chenson Target Version 3.7.20 => 3.8.0
2015-07-03 07:59 chenson Status assigned => resolved
2015-07-03 07:59 chenson Fixed in Version => 3.8.0
2015-07-03 07:59 chenson Resolution open => fixed
2015-07-03 09:00 chenson Changeset attached => SymmetricDS trunk r9545
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 0a04d4a2
2015-08-07 14:15 chenson Assigned To chenson => elong
2015-08-07 14:15 chenson Product Version 3.8.0 => 3.7.20
2015-08-07 14:15 chenson Fixed in Version 3.8.0 => 3.7.20
2015-08-07 14:15 chenson Target Version 3.8.0 => 3.7.20
2015-08-08 14:10 chenson Status resolved => closed
2015-08-13 11:00 admin Changeset attached => SymmetricDS 3.7 ea042bcd